Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester
Class SetPropertyRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.commons.digester.SetPropertyRule

    public class SetPropertyRule

extends Rule

Rule implementation that sets an individual property on the object at the top of the stack, based on attributes with specified names.

Field Summary
`protected String` | `name` The attribute that will contain the property name.
`protected String` | `value` The attribute that will contain the property value.

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SetPropertyRule(Digester digester, String name, String value)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `SetPropertyRule(String name, String value)` instead.
`SetPropertyRule(String name, String value)` Construct a "set property" rule with the specified name and value attributes.

Method Summary
`void` | `begin(Attributes attributes)` Process the beginning of this element.
`String` | `toString()` Render a printable version of this Rule.

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

  The attribute that will contain the property name.

### value

    protected String value

  The attribute that will contain the property value.

Constructor Detail

### SetPropertyRule

    public SetPropertyRule(Digester digester,
                           String name,
                           String value)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `SetPropertyRule(String name, String value)` instead.

  Construct a "set property" rule with the specified name and value attributes.

  Parameters:
    `digester` - The digester with which this rule is associated
    `name` - Name of the attribute that will contain the name of the property to be set
    `value` - Name of the attribute that will contain the value to which the property should be set

### SetPropertyRule

    public SetPropertyRule(String name,
                           String value)

  Construct a "set property" rule with the specified name and value attributes.

  Parameters:
    `name` - Name of the attribute that will contain the name of the property to be set
    `value` - Name of the attribute that will contain the value to which the property should be set

Method Detail

### begin

    public void begin(Attributes attributes)
               throws Exception

  Process the beginning of this element.

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `attributes` - The attribute list of this element
  Throws:
    `NoSuchMethodException` - if the bean does not have a writeable property of the specified name
    `Exception`

### toString

    public String toString()

  Render a printable version of this Rule.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.